NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
unwitting ionCube user


Joined: 16 Feb 2007
Posts: 26
Reply with quote
I am apparently an ioncube user even though I didn't know it. After installing DBG on a new server I got this error:

PHP Fatal error: The installed PHP module 'dbg' (debugging software) is incompatible with the ionCube Loader. Disable 'dbg' by putting a ';' before its extension entry in the php.ini file and restarting the web server software. in Unknown on line 0

This even hard-crashed apache after this item was logged. I fixed it by renaming all the ioncube .so files.

What is the price for NuCoder? I just bought PhpEd a few months ago. I assume NuCoder works flawlessly with PhpEd. Even though I have ionCube for free, I would like to be able to debug with PhpEd on my production machine. Is there a special crossgrade price for existing ionCube users?
View user's profileFind all posts by mchahnSend private messageVisit poster's website
Veteran

Joined: 30 Nov 2006
Posts: 186
Reply with quote
Allthough I do not have an answer about prices etc. I did notice that you say that Apache crashes when the IonCube loader coexists with the PHPExpress.

I thought that was not so.
It is very important for me that PHPExpress can coexists with IonCube, because I use a lot of PHP scripts that are encoded by the IonCube encoder.

Can somebody please confirm that PHPExpress can co exist with the IonCube loader.
View user's profileFind all posts by hgrSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7835
Reply with quote
it's not what we can check. We have no ioncube in our labs.
What mchahn faced with is ioncube behaviour (either intentional or not). If they are aware of the other modules, there must be a reason. Why not to ask them?
Finally, if you have encoded files, why not to install phpexpress and try?

(I'm deeply sorry for the delay in reply, we put all our forces into PhpED 5.0 release)

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Veteran

Joined: 30 Nov 2006
Posts: 186
Reply with quote
IonCube will not load if a debugger extension is loaded. This is why you get the error message. What you have to do is to remove the debugger from being loaded.

This means that you can not remote debug a site if it uses IonCube encoded scripts.

I have now tested if IonCube and PHPExpress can coexist on the same server. NO PROBLEM WHAT SO EVER.

You can use both IonCube encoded scripts and Nucoder (pre compiled) scripts on the same server.
View user's profileFind all posts by hgrSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7835
Reply with quote
Quote:
This means that you can not remote debug a site if it uses IonCube encoded scripts

did you check if debugger is installed on one VHost with IC on another?

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Veteran

Joined: 30 Nov 2006
Posts: 186
Reply with quote
dmitri wrote:
Quote:
This means that you can not remote debug a site if it uses IonCube encoded scripts

did you check if debugger is installed on one VHost with IC on another?


No I did not, I have only tested this on a single server, with no VHosts.

But if the debugger module is loaded, then the IonCube runtime loader will not load, and you get the messages as shown in the first posting.
And it does not matter which debugger you use, It will not coexist.

I have tried various debuggers before moving to NuSphere, they all failed to be active while the IonCube module was loaded.
View user's profileFind all posts by hgrSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7835
Reply with quote
what if you load debugger after IC?
did you try zend_extension_ts=c:\path\to\php_dbg.dll (or zend_extension=/path/to/dbg.so under Linux/unix) ?

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Site Admin

Joined: 13 Jul 2003
Posts: 7835
Reply with quote
I just went further and checked
dbg & ic:

zend_extension=/usr/local/lib/ioncube_loader_lin_4.4.so
zend_extension=/usr/local/lib/dbg.so-4.4.x

although I have no IC encoded files to check if they work, IC is listed in the phpinfo() and debugger is listed too and works fine:

This program makes use of the Zend Scripting Language Engine:
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies with the ionCube PHP Loader v3.1.29, Copyright (c) 2002-2007, by ionCube Ltd., and with DBG v3.1.11, (C) 2000,2007, by Dmitri Dmitrienko

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Veteran

Joined: 30 Nov 2006
Posts: 186
Reply with quote
dmitri wrote:
I just went further and checked
dbg & ic:

zend_extension=/usr/local/lib/ioncube_loader_lin_4.4.so
zend_extension=/usr/local/lib/dbg.so-4.4.x

although I have no IC encoded files to check if they work, IC is listed in the phpinfo() and debugger is listed too and works fine:

This program makes use of the Zend Scripting Language Engine:
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies with the ionCube PHP Loader v3.1.29, Copyright (c) 2002-2007, by ionCube Ltd., and with DBG v3.1.11, (C) 2000,2007, by Dmitri Dmitrienko


SUCCESS..

It works this way, and you CAN have ioncube, Debugger and PHPExpress installed and active.
Fantastic.
View user's profileFind all posts by hgrSend private message


Joined: 24 Dec 2011
Posts: 2
Reply with quote
hgr wrote:
dmitri wrote:
I just went further and checked
dbg & ic:

zend_extension=/usr/local/lib/ioncube_loader_lin_4.4.so
zend_extension=/usr/local/lib/dbg.so-4.4.x

although I have no IC encoded files to check if they work, IC is listed in the phpinfo() and debugger is listed too and works fine:

This program makes use of the Zend Scripting Language Engine:
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies with the ionCube PHP Loader v3.1.29, Copyright (c) 2002-2007, by ionCube Ltd., and with DBG v3.1.11, (C) 2000,2007, by Dmitri Dmitrienko


SUCCESS..

It works this way, and you CAN have ioncube, Debugger and PHPExpress installed and active.
Fantastic.



Hi all,

I have problems to get the debugger installed. My phpInfo:
This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
with the ionCube PHP Loader v3.3.20, Copyright (c) 2002-2010, by ionCube Ltd
.
From the manual I know I should load after ionCube, but I cant find ionCube in the php.ini (zend_extension=/usr/local/lib/ioncube_loader_lin_4.4.so)
to be sure I added zend_extension="/usr/lib/php5/modules/dbg-php-5.3.so" in the bottom of the php.ini file, but no luck.
I hope someone has more tips to try.

Regards Rick
View user's profileFind all posts by eagleboySend private message


Joined: 11 Jul 2012
Posts: 1
Reply with quote
Great! Glad I came across this one.
View user's profileFind all posts by biendaltonSend private message
unwitting ionCube user
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic